# Functor DGraphTreeLayout.MakeFromDotModel

    module MakeFromDotModel: functor (Tree : Sig.G  with type V.label = DGraphModel.DotG.V.t
    		and type E.label = unit) -> functor (TreeManipulation : sigval is_ghost_node : Tree.V.t -> boolend) -> sig .. end

Parameters:

`Tree` | : | `Sig.G with type V.label = DGraphModel.DotG.V.t and type E.label = unit`
`TreeManipulation` | : | `sig val is_ghost_node: Tree.V.t -> bool end`

    module Tree: Graphviz.GraphWithDotAttrs  with module V = Tree.V
    					  and module E = Tree.E
    					  and type t = Tree.t

    val from_model : Tree.t ->
           Tree.V.t ->
           DGraphModel.dotg_model -> XDot.Make(Tree).graph_layout